<!DOCTYPE html>
<html>
  <head>
    <title>test</title>
  </head>
  <body>
    <div><input id="text" /><button onclick="send_request();">test</button></div>
    <div id="content">-</div>
    <div id="status">-</div>
    <script>
      function send_request()
      {
        document.getElementById("content").innerHTML = "";
        document.getElementById("status").innerHTML = "";
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function()
        {
          if(this.readyState == 4 )
          {
			if(this.status == 200)
			  document.getElementById("content").innerHTML
                = this.responseText;
            else
              document.getElementById("content").innerHTML
                = "fail: " + this.responseText;
          }
          document.getElementById("status").innerHTML = this.readyState;
        }
        xhttp.open("POST", "fcgi/fcgi1.fcgi", true);
        xhttp.setRequestHeader("Content-type", "text/plain");
        xhttp.send(document.getElementById("text").value);
      }
    </script>
  </body>
</html>
